/* // navigation.ts

import { useEffect } from 'react';
import { useLocation } from 'react-router-dom';
import { handleScrollToCollapse, openNestedTab, openTab } from './TabNavigation';
import { openFromOtherPage } from './openFromOtherpAge';

export const useNavigateTabs = (): void => {
  const location = useLocation();

  useEffect(() => {
    const params = new URLSearchParams(location.search);
    const collapseId = params.get('collapseId');
    const tabId = params.get('tab');
    const subTabId = params.get('subTab');
    const scrollToId = params.get('scrollTo'); 

    if (tabId) {
      if (subTabId) {
        openNestedTab(tabId, subTabId);
      } else {
        openTab(tabId);
      }
    }

    if (collapseId) {
      handleScrollToCollapse(collapseId);
    }

    if (tabId) {
      openFromOtherPage(tabId)({ currentTarget: document.getElementById(tabId)! });
    }
    if (scrollToId) {
      const element = document.getElementById(scrollToId);
      if (element) {
          const viewportHeight = window.innerHeight;
          const targetPosition = element.getBoundingClientRect().top + window.pageYOffset;
          const scrollToPosition = targetPosition - viewportHeight / 2 + element.clientHeight / 2;
          window.scrollTo({ top: scrollToPosition, behavior: "smooth" });
      }
  }
  }, [location.search]);
};
 */